Web-Based SSH Client

Written by piju on July 8, 2010 – 3:43 pm -

To those who are in hurry or in a network environment that dont allow ssh connection, you can use web-based SSH client to access your computer, server instantly.

here is the screenshot

https://sshweb.homeunix.org/

  • AIM
  • AOL Mail
  • Delicious
  • Facebook
  • Digg
  • Google Bookmarks
  • HelloTxt
  • Hotmail
  • LinkedIn
  • LiveJournal
  • Multiply
  • MySpace
  • Netlog
  • Ping
  • Slashdot
  • Shoutwire
  • Stumpedia
  • Technorati Favorites
  • Webnews
  • Twitter
  • Windows Live Favorites
  • Yahoo Messenger
  • Yahoo Mail
  • Yahoo Buzz
  • Yahoo Bookmarks
  • Share/Bookmark
Subscribe to my RSS feed

Step By Step Of BIND9 Installation On Ubuntu Linux

Written by piju on April 29, 2010 – 12:30 pm -

1. Install Bind9:

sudo apt-get install bind9

2. Copy these files:


# cp /etc/bind/db.local /etc/bind/piju.fakap.server
# cp /etc/bind/db.127 /etc/bind/piju.fakap.254
# cp /etc/bind/named.conf.default-zones /etc/bind/named.conf.server

3. Edit piju.fakap.server file:


;

; BIND data file for local loopback interface

;

$TTL 604800

@ IN SOA piju.fakap.net. root.piju.fakap.net. (

2 ; Serial

604800 ; Refresh

86400 ; Retry

2419200 ; Expire

604800 ) ; Negative Cache TTL

;

@ IN NS piju.fakap.net.

IN A 192.168.1.1

www IN A 192.168.1.1

mail IN A 192.168.1.1

4. Edit file piju.fakap.254:


;

; BIND reverse data file for local loopback interface

;

$TTL 604800

@ IN SOA piju.fakap.net. root.piju.fakap.net. (

1 ; Serial

604800 ; Refresh

86400 ; Retry

2419200 ; Expire

604800 ) ; Negative Cache TTL

;

@ IN NS piju.fakap.net.

2 IN PTR www.piju.fakap.net.

2 IN PTR mail.piju.fakap.net.

5. Edit named.conf.server:


// prime the server with knowledge of the root servers
zone “.” {
type hint;
file “/etc/bind/db.root”;
};
// be authoritative for the localhost forward and reverse zones, and for
// broadcast zones as per RFC 1912
zone “localhost” {
type master;
file “/etc/bind/db.local”;
};
zone “127.in-addr.arpa” {
type master;
file “/etc/bind/db.127″;
};
zone “piju.fakap.net” {
type master;
file “/etc/bind/piju.fakap.server”;
};
zone “2.in-addr.arpa” {
type master;
file “/etc/bind/piju.fakap.254″;
};

6. Edit named.conf:

include “/etc/bind/named.conf.options”;
include “/etc/bind/named.conf.local”;
include “/etc/bind/named.conf.server”;

7. Value on /etc/resolv.conf:

search piju.fakap.net
nameserver 192.168.1.1

  • AIM
  • AOL Mail
  • Delicious
  • Facebook
  • Digg
  • Google Bookmarks
  • HelloTxt
  • Hotmail
  • LinkedIn
  • LiveJournal
  • Multiply
  • MySpace
  • Netlog
  • Ping
  • Slashdot
  • Shoutwire
  • Stumpedia
  • Technorati Favorites
  • Webnews
  • Twitter
  • Windows Live Favorites
  • Yahoo Messenger
  • Yahoo Mail
  • Yahoo Buzz
  • Yahoo Bookmarks
  • Share/Bookmark
Subscribe to my RSS feed

Misa Digital Guitar Demo

Written by piju on January 24, 2010 – 9:42 pm -

http://www.misadigital.com/

on Gentoo linux, got ssh server installed.

  • AIM
  • AOL Mail
  • Delicious
  • Facebook
  • Digg
  • Google Bookmarks
  • HelloTxt
  • Hotmail
  • LinkedIn
  • LiveJournal
  • Multiply
  • MySpace
  • Netlog
  • Ping
  • Slashdot
  • Shoutwire
  • Stumpedia
  • Technorati Favorites
  • Webnews
  • Twitter
  • Windows Live Favorites
  • Yahoo Messenger
  • Yahoo Mail
  • Yahoo Buzz
  • Yahoo Bookmarks
  • Share/Bookmark
Subscribe to my RSS feed

Deluge On Ubuntu

Written by piju on September 9, 2009 – 12:33 pm -

Recently, i was thinking which one is the best torrent client for my personal use. then i choose deluge.

install using apt-get on ubuntu/debian/debian-based.

$sudo apt-get install deluge
$sudo apt-get install deluge-webui

i need startup files for deluge, then create /etc/default/deluge-daemon and add this

# Configuration for /etc/init.d/deluge-daemon

# The init.d script will only run if this variable non-empty.
DELUGED_USER=”CHANGEME” # !!!CHANGE THIS!!!!

# Should we run at startup?
RUN_AT_STARTUP=”YES”

then, create /etc/init.d/deluge-daemon

#!/bin/sh
### BEGIN INIT INFO
# Provides: deluge-daemon
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Should-Start: $network
# Should-Stop: $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Daemonized version of deluge and webui.
# Description: Starts the deluge daemon with the user specified in
# /etc/default/deluge-daemon.
### END INIT INFO

# Author: Adolfo R. Brandes

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DESC=”Deluge Daemon”
NAME1=”deluged”
NAME2=”deluge”
DAEMON1=/usr/bin/deluged
DAEMON1_ARGS=”-d”
DAEMON2=/usr/bin/deluge
DAEMON2_ARGS=”-u web”
PIDFILE1=/var/run/$NAME1.pid
PIDFILE2=/var/run/$NAME2.pid
PKGNAME=deluge-daemon
SCRIPTNAME=/etc/init.d/$PKGNAME

# Exit if the package is not installed
[ -x "$DAEMON1" -a -x "$DAEMON2" ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$PKGNAME ] && . /etc/default/$PKGNAME

# Load the VERBOSE setting and other rcS variables
[ -f /etc/default/rcS ] && . /etc/default/rcS

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

if [ -z "$RUN_AT_STARTUP" -o "$RUN_AT_STARTUP" != "YES" ]
then
log_warning_msg “Not starting $PKGNAME, edit /etc/default/$PKGNAME to start it.”
exit 0
fi

if [ -z "$DELUGED_USER" ]
then
log_warning_msg “Not starting $PKGNAME, DELUGED_USER not set in /etc/default/$PKGNAME.”
exit 0
fi

#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –exec $DAEMON1 \
–chuid $DELUGED_USER –user $DELUGED_USER –test > /dev/null
RETVAL1=”$?”
start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –exec $DAEMON2 \
–chuid $DELUGED_USER –user $DELUGED_USER –test > /dev/null
RETVAL2=”$?”
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 1

start-stop-daemon –start –background –quiet –pidfile $PIDFILE1 –make-pidfile –exec $DAEMON1 \
–chuid $DELUGED_USER –user $DELUGED_USER — $DAEMON1_ARGS
RETVAL1=”$?”
sleep 2
start-stop-daemon –start –background –quiet –pidfile $PIDFILE2 –make-pidfile –exec $DAEMON2 \
–chuid $DELUGED_USER –user $DELUGED_USER — $DAEMON2_ARGS
RETVAL2=”$?”
[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] || return 2
}

#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred

start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE2
RETVAL2=”$?”
start-stop-daemon –stop –quiet –retry=TERM/30/KILL/5 –user $DELUGED_USER –pidfile $PIDFILE1
RETVAL1=”$?”
[ "$RETVAL1" = "2" -o "$RETVAL2" = "2" ] && return 2

rm -f $PIDFILE1 $PIDFILE2

[ "$RETVAL1" = "0" -a "$RETVAL2" = "0" ] && return 0 || return 1
}

case “$1″ in
start)
[ "$VERBOSE" != no ] && log_daemon_msg “Starting $DESC” “$NAME1″
do_start
case “$?” in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg “Stopping $DESC” “$NAME1″
do_stop
case “$?” in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
restart|force-reload)
log_daemon_msg “Restarting $DESC” “$NAME1″
do_stop
case “$?” in
0|1)
do_start
case “$?” in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo “Usage: $SCRIPTNAME {start|stop|restart|force-reload}” >&2
exit 3
;;
esac

:

make it executable and start on boot,

sudo chmod 755 /etc/init.d/deluge-daemon
sudo update-rc.d deluge-daemon defaults
sudo /etc/init.d/deluge-daemon start

webui address is http://localhost:8112 and the default password is deluge

  • AIM
  • AOL Mail
  • Delicious
  • Facebook
  • Digg
  • Google Bookmarks
  • HelloTxt
  • Hotmail
  • LinkedIn
  • LiveJournal
  • Multiply
  • MySpace
  • Netlog
  • Ping
  • Slashdot
  • Shoutwire
  • Stumpedia
  • Technorati Favorites
  • Webnews
  • Twitter
  • Windows Live Favorites
  • Yahoo Messenger
  • Yahoo Mail
  • Yahoo Buzz
  • Yahoo Bookmarks
  • Share/Bookmark
Subscribe to my RSS feed

Medibuntu Local Mirror For Malaysian

Written by piju on July 8, 2009 – 11:16 pm -

Great news,

To all Malaysian Ubuntu Linux users, now we have our own medibuntu mirror.

Hope this local mirror helps to decrease Malaysia’s internet traffic to the outside.

http://mirror.oscc.org.my/medibuntu

  • AIM
  • AOL Mail
  • Delicious
  • Facebook
  • Digg
  • Google Bookmarks
  • HelloTxt
  • Hotmail
  • LinkedIn
  • LiveJournal
  • Multiply
  • MySpace
  • Netlog
  • Ping
  • Slashdot
  • Shoutwire
  • Stumpedia
  • Technorati Favorites
  • Webnews
  • Twitter
  • Windows Live Favorites
  • Yahoo Messenger
  • Yahoo Mail
  • Yahoo Buzz
  • Yahoo Bookmarks
  • Share/Bookmark
Subscribe to my RSS feed

MultiTail – Multiple Tail For Log Analisys

Written by piju on July 7, 2009 – 12:06 pm -

MultiTail lets you view one or multiple files like the original tail program. The difference is that it creates multiple windows on your console (with ncurses). It can also monitor wildcards: if another file matching the wildcard has a more recent modification date, it will automatically switch to that file. That way you can, for example, monitor a complete directory of files. Merging of 2 or even more logfiles is possible. It can also use colors while displaying the logfiles (through regular expressions), for faster recognition of what is important and what not. It can also filter lines (again with regular expressions). It has interactive menus for editing given regular expressions and deleting and adding windows. One can also have windows with the output of shell scripts and other software. When viewing the output of external software, MultiTail can mimic the functionality of tools like ‘watch’ and such.

http://www.vanheusden.com/multitail/download.html

Related Posts with Thumbnails
  • AIM
  • AOL Mail
  • Delicious
  • Facebook
  • Digg
  • Google Bookmarks
  • HelloTxt
  • Hotmail
  • LinkedIn
  • LiveJournal
  • Multiply
  • MySpace
  • Netlog
  • Ping
  • Slashdot
  • Shoutwire
  • Stumpedia
  • Technorati Favorites
  • Webnews
  • Twitter
  • Windows Live Favorites
  • Yahoo Messenger
  • Yahoo Mail
  • Yahoo Buzz
  • Yahoo Bookmarks
  • Share/Bookmark
Subscribe to my RSS feed